package com.bytedance.globalpayment.payment.common.lib.settings;

import X.C34848tf;
import X.C34918tm;
import X.C34948tp;
import android.content.Context;
import android.content.SharedPreferences;
import com.bytedance.covode.number.Covode;

public class PaymentLocalSettings$$SettingImpl implements PaymentLocalSettings {
    public Context LIZ;
    public C34848tf LIZIZ;
    public final C34918tm LIZJ = new C34918tm() {
        static {
            Covode.recordClassIndex(27208);
        }

        public final <T> T LIZ(Class<T> cls) {
            return null;
        }
    };

    static {
        Covode.recordClassIndex(27207);
    }

    public final String LIZ() {
        C34848tf r0 = this.LIZIZ;
        if (r0 == null || !r0.LJFF("need_restore_orders")) {
            return "";
        }
        return this.LIZIZ.LIZ("need_restore_orders");
    }

    public final long LIZIZ() {
        C34848tf r0 = this.LIZIZ;
        if (r0 == null || !r0.LJFF("last_settings_request_time")) {
            return 0;
        }
        return this.LIZIZ.LIZJ("last_settings_request_time");
    }

    public void unregisterValChanged(C34948tp r2) {
        C34848tf r0 = this.LIZIZ;
        if (r0 != null) {
            r0.LIZ(r2);
        }
    }

    public final void LIZ(long j) {
        C34848tf r0 = this.LIZIZ;
        if (r0 != null) {
            SharedPreferences.Editor LIZ2 = r0.LIZ();
            LIZ2.putLong("last_settings_request_time", j);
            LIZ2.apply();
        }
    }

    public final void LIZ(String str) {
        C34848tf r0 = this.LIZIZ;
        if (r0 != null) {
            SharedPreferences.Editor LIZ2 = r0.LIZ();
            LIZ2.putString("need_restore_orders", str);
            LIZ2.apply();
        }
    }

    public PaymentLocalSettings$$SettingImpl(Context context, C34848tf r3) {
        this.LIZ = context;
        this.LIZIZ = r3;
    }

    public void registerValChanged(Context context, String str, String str2, C34948tp r5) {
        C34848tf r0 = this.LIZIZ;
        if (r0 != null) {
            r0.LIZ(context, str, str2, r5);
        }
    }
}
